Bug 3184 - Необходимо обновлять chrooted
: Необходимо обновлять chrooted
Status: CLOSED DUPLICATE of bug 2406
: Sisyphus
(All bugs in Sisyphus/dhcpcd)
: unstable
: all Linux
: P5 blocker
Assigned To:
:
:
:
:
: 3005
  Show dependency tree
 
Reported: 2003-10-20 12:57 by
Modified: 2005-07-13 15:45 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-10-20 12:57:26
После получения адресов DNS серверов необходимо обновлять чруты для корректной
работы приложений. 
Иначе не работают многие приложения (например ping).
------- Comment #1 From 2003-10-20 13:06:24 -------
Avoid changes in /etc/resolv.conf, 
use "dhcpcd -R". 
 
I do not plan to deal with this issue atm. 
------- Comment #2 From 2003-10-20 13:12:19 -------
Нет, это не решение: во многих случаях есть явная необходимость получать
измененные адреса DNS  с DHCP сервера.
Предлагаю добавить запуск update_chrooted в скрипт запуска DHCPCD.

Увеличиваю приоритет этой ошибки и делаю ее Blocker для Compact'а, ибо наличие
этой ошибки не позволяет полноценно использовать дистрибутив в больших
корпоративных сетях, раздающих IP и DNS адреса через DHCP.
------- Comment #3 From 2003-10-20 13:27:35 -------

*** This bug has been marked as a duplicate of 2406 ***
------- Comment #4 From 2003-10-22 15:09:04 -------
verified as fixed in dhcpcd-1.3.22pl4-alt1
------- Comment #5 From 2003-10-22 15:09:24 -------
verified as fixed in dhcpcd-1.3.22pl4-alt1